com.sun.source.tree

## Interface ExpressionTree

- All Superinterfaces:
    Tree
  All Known Subinterfaces:
    AnnotationTree, ArrayAccessTree, AssignmentTree, BinaryTree, CompoundAssignmentTree, ConditionalExpressionTree, ErroneousTree, IdentifierTree, InstanceOfTree, LiteralTree, MemberSelectTree, MethodInvocationTree, NewArrayTree, NewClassTree, ParenthesizedTree, TypeCastTree, UnaryTree

      public interface ExpressionTree
      extends Tree

  A tree node used as the base class for the different types of expressions.
  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, chapter 15"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.